Bug 175127 - New port: sysutils/zogftw creates redundant backups on encrypted ZFS pools
Summary: New port: sysutils/zogftw creates redundant backups on encrypted ZFS pools
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-08 10:00 UTC by Fabian Keil
Modified: 2013-02-09 14:10 UTC (History)
0 users

See Also:


Attachments
file.shar (2.31 KB, text/plain)
2013-01-08 10:00 UTC, Fabian Keil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2013-01-08 10:00:01 UTC
zogftw makes using multiple geli-encrypted single-vdev ZFS pools
for backups more convenient, mainly by automating creation, import
and export of such pools and by synchronizing datasets without the
user having to manually specify the names of the snapshots that
should be sent.

geli passphrases can be stored gpg-encrypted which allows importing
several pools in a row without having to specify each passphrase
manually.

zogftw is extendable in shell. It can be sourced from other shell
scripts or interactive shells.

WWW: http://www.fabiankeil.de/gehacktes/zogftw/

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-02-09 14:00:11 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 2 dfilter service freebsd_committer 2013-02-09 14:00:38 UTC
Author: miwi
Date: Sat Feb  9 14:00:30 2013
New Revision: 311976
URL: http://svnweb.freebsd.org/changeset/ports/311976

Log:
  zogftw makes using multiple geli-encrypted single-vdev ZFS pools
  for backups more convenient, mainly by automating creation, import
  and export of such pools and by synchronizing datasets without the
  user having to manually specify the names of the snapshots that
  should be sent.
  
  geli passphrases can be stored gpg-encrypted which allows importing
  several pools in a row without having to specify each passphrase
  manually.
  
  zogftw is extendable in shell. It can be sourced from other shell
  scripts or interactive shells.
  
  WWW: http://www.fabiankeil.de/gehacktes/zogftw/
  
  PR:		ports/175127
  Submitted by:	Fabian Keil <fk@fabiankeil.de>

Added:
  head/sysutils/zogftw/
  head/sysutils/zogftw/Makefile   (contents, props changed)
  head/sysutils/zogftw/distinfo   (contents, props changed)
  head/sysutils/zogftw/pkg-descr   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Sat Feb  9 13:55:10 2013	(r311975)
+++ head/sysutils/Makefile	Sat Feb  9 14:00:30 2013	(r311976)
@@ -1073,6 +1073,7 @@
     SUBDIR += zfstools
     SUBDIR += zidrav
     SUBDIR += zisofs-tools
+    SUBDIR += zogftw
     SUBDIR += zxfer
 
 .include <bsd.port.subdir.mk>

Added: head/sysutils/zogftw/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/zogftw/Makefile	Sat Feb  9 14:00:30 2013	(r311976)
@@ -0,0 +1,35 @@
+# Created by: Fabian Keil <fk@fabiankeil.de>
+# $FreeBSD$
+
+PORTNAME=	zogftw
+PORTVERSION=	0.0.2013.01.08
+CATEGORIES=	sysutils
+MASTER_SITES=	http://www.fabiankeil.de/sourcecode/zogftw/
+DISTNAME=	${PORTNAME}-2013-01-08-ebee83e
+
+MAINTAINER=	fk@fabiankeil.de
+COMMENT=	Creates redundant backups on encrypted ZFS pools
+
+RUN_DEPENDS=	mbuffer:${PORTSDIR}/misc/mbuffer \
+		sudo:${PORTSDIR}/security/sudo
+
+OPTIONS_DEFINE=		GNUPG
+OPTIONS_DEFAULT=	GNUPG
+
+PLIST_FILES=	sbin/zogftw
+
+MAN8=		zogftw.8
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGNUPG}
+RUN_DEPENDS+=	gpg:${PORTSDIR}/security/gnupg1 \
+		gpg-agent:${PORTSDIR}/security/gnupg
+.endif
+
+do-build:
+do-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/zogftw ${PREFIX}/sbin/zogftw
+	${INSTALL_MAN} ${WRKSRC}/zogftw.8 ${MAN8PREFIX}/man/man8
+
+.include <bsd.port.mk>

Added: head/sysutils/zogftw/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/zogftw/distinfo	Sat Feb  9 14:00:30 2013	(r311976)
@@ -0,0 +1,2 @@
+SHA256 (zogftw-2013-01-08-ebee83e.tar.gz) = 892bfbda2c193c25cb27b6f7941ebf2581ba6f7174a804ce6f2e3a8f778c4aad
+SIZE (zogftw-2013-01-08-ebee83e.tar.gz) = 15292

Added: head/sysutils/zogftw/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/zogftw/pkg-descr	Sat Feb  9 14:00:30 2013	(r311976)
@@ -0,0 +1,14 @@
+zogftw makes using multiple geli-encrypted single-vdev ZFS pools
+for backups more convenient, mainly by automating creation, import
+and export of such pools and by synchronizing datasets without the
+user having to manually specify the names of the snapshots that
+should be sent.
+
+geli passphrases can be stored gpg-encrypted which allows importing
+several pools in a row without having to specify each passphrase
+manually.
+
+zogftw is extendable in shell. It can be sourced from other shell
+scripts or interactive shells.
+
+WWW: http://www.fabiankeil.de/gehacktes/zogftw/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"